com.fasterxml.jackson.dataformat.avro

## Class AvroModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.dataformat.avro.AvroModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned

      public class AvroModule
      extends com.fasterxml.jackson.databind.Module

  Module that adds support for handling datatypes specific to the standard Java Avro library:
  - Support handling of `Schema`: remove from Avro lib generated types; serialize as (JSON) String for others
  - Add special `AnnotationIntrospector` that supports Apache Avro lib annotations
  - Support limited polymorphic handling of properties with nominal type of `Object`.
  Since:
    2.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AvroModule.SchemaSerializer`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.AnnotationIntrospector` | `_intr`
    `protected static AvroAnnotationIntrospector` | `INTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_addDeserializers(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `protected void` | `_addIntrospector(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `protected void` | `_addModifiers(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `protected void` | `_addSerializers(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `String` | `getModuleName()`
    `void` | `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `com.fasterxml.jackson.core.Version` | `version()`
    `AvroModule` | `withAnnotationIntrospector(com.fasterxml.jackson.databind.AnnotationIntrospector intr)` Fluent method that configures this module instance

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getDependencies, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTR

          protected static final AvroAnnotationIntrospector INTR

    - #### _intr

          protected com.fasterxml.jackson.databind.AnnotationIntrospector _intr

      Since:
        2.9

  - ### Constructor Detail

    - #### AvroModule

          public AvroModule()

  - ### Method Detail

    - #### getModuleName

          public String getModuleName()

      Specified by:
        `getModuleName` in class `com.fasterxml.jackson.databind.Module`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Specified by:
        `version` in class `com.fasterxml.jackson.databind.Module`

    - #### withAnnotationIntrospector

          public AvroModule withAnnotationIntrospector(com.fasterxml.jackson.databind.AnnotationIntrospector intr)

      Fluent method that configures this module instance
      Since:
        2.9

    - #### setupModule

          public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

      Specified by:
        `setupModule` in class `com.fasterxml.jackson.databind.Module`

    - #### _addIntrospector

          protected void _addIntrospector(com.fasterxml.jackson.databind.Module.SetupContext context)

    - #### _addModifiers

          protected void _addModifiers(com.fasterxml.jackson.databind.Module.SetupContext context)

    - #### _addDeserializers

          protected void _addDeserializers(com.fasterxml.jackson.databind.Module.SetupContext context)

    - #### _addSerializers

          protected void _addSerializers(com.fasterxml.jackson.databind.Module.SetupContext context)

Copyright © 2019 FasterXML. All rights reserved.